import 'package:jwt_decode/jwt_decode.dart';
class TokenDecoder {
  final String token;

  TokenDecoder(this.token);

  Map<String, dynamic>? decodeToken() {
    // Check if the token is valid
    if (!Jwt.isExpired(token)) {
      // Decode the token
      Map<String, dynamic> decodedToken = Jwt.parseJwt(token);

      // Return the decoded token
      return decodedToken;
    } else {
      print("Token is expired.");
      return null;
    }
  }
}




Future<String?> decodeToken(String? token) async {
  if (token == null) {
    return "Token is null.";
  }

  TokenDecoder tokenDecoder = TokenDecoder(token);

  Map<String, dynamic>? decodedToken = tokenDecoder.decodeToken();
  if (decodedToken != null) {
    // Parse JSON
    String axdToken = decodedToken['axd_token'] ?? ''; // Replace 'axd_token' with the correct key
    debugPrint(axdToken);
    return axdToken;
  } else {
    return "Failed to decode token.";
  }
}