import 'package:flutter_test/flutter_test.dart';
import '/Users/macbook/dev/flutter/ibl-simple-flutter-docs/ibl_mobile_sdk/lib/ibl_axd_pro_client.dart';

void main() {
  group('ApiClient Tests', () {
    late ApiClient apiClient;

    setUp(() {
      // Initialize the ApiClient with a mock authToken
      apiClient = ApiClient(authToken: 'your_mock_auth_token');
    });

    test('apiAiAccountOrgsOrgCredentialGet', () async {
      final org = 'your_org_id';
      final expectedResponse = {
        // Define your expected response data here
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiAccountOrgsOrgCredentialGet(org);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgCredentialPost', () async {
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiAccountOrgsOrgCredentialPost(org, requestBody);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgCredentialPatch', () async {
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'updated_value1',
      };

      final expectedResponse = {
        'field1': 'updated_value1',
        'field2': 'value2', // Include other fields if they are not expected to change
      };

      final response = await apiClient.apiAiAccountOrgsOrgCredentialPatch(org, requestBody);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgPlatformMetadataGet', () async {
      final org = 'your_org_id';
      final expectedResponse = {
        // Define your expected response data here
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiAccountOrgsOrgPlatformMetadataGet(org);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgPlatformMetadataPost', () async {
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiAccountOrgsOrgPlatformMetadataPost(org, requestBody);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgPlatformMetadataPut', () async {
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'updated_value1',
      };

      final expectedResponse = {
        'field1': 'updated_value1',
        'field2': 'value2', // Include other fields if they are not expected to change
      };

      final response = await apiClient.apiAiAccountOrgsOrgPlatformMetadataPut(org, requestBody);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiAccountOrgsOrgTokensGet', () async {
      final org = 'your_org_id';
      final expectedResponse = {
        // Define your expected response data here
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiAccountOrgsOrgTokensGet(org);

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet', () async {
      final documentId = 'your_document_id';
      final org = 'your_org_id';
      final userId = 'your_user_id';
      
      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet(
        documentId,
        org,
        userId,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut', () async {
      final documentId = 'your_document_id';
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut(
        documentId,
        org,
        userId,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost(
        org,
        userId,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet', () async {
      final org = 'your_org_id';
      final pathway = 'your_pathway_id';
      final userId = 'your_user_id';

      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet(
        org,
        pathway,
        userId,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost(
        org,
        userId,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('deleteChatSession', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final sessionId = 'your_session_id';

      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.deleteChatSession(
        org: org,
        userId: userId,
        sessionId: sessionId,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('initRecorder', () async {
      // Test for initRecorder
      // Add your test logic here
    });

    test('stopRecorderAndGetVoiceData', () async {
      // Test for stopRecorderAndGetVoiceData
      // Add your test logic here
    });

    test('updateChatSessionDetails', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final sessionId = 'your_session_id';
      final title = 'updated_title';

      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.updateChatSessionDetails(
        org: org,
        userId: userId,
        sessionId: sessionId,
        title: title,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost(
        org,
        userId,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdSourcesPost', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdSourcesPost(
        org,
        userId,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet', () async {
      final org = 'your_org_id';
      final taskId = 'your_task_id';
      final userId = 'your_user_id';

      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet(
        org,
        taskId,
        userId,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiMentorOrgsOrgUsersUserIdGet', () async {
      final org = 'your_org_id';
      final userId = 'your_user_id';
      final page = 1;
      final pageSize = 10;
      final featured = true;

      // Define your expected response data here
      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiMentorOrgsOrgUsersUserIdGet(
        org: org,
        userId: userId,
        page: page,
        pageSize: pageSize,
        featured: featured,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('apiAiMentorOrgsOrgMentorWithSettingsPost', () async {
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.apiAiMentorOrgsOrgMentorWithSettingsPost(
        org,
        requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });

    test('updateCustomInstructions', () async {
      final mentor = 'your_mentor_id';
      final org = 'your_org_id';
      final requestBody = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final expectedResponse = {
        'field1': 'value1',
        'field2': 'value2',
      };

      final response = await apiClient.updateCustomInstructions(
        mentor: mentor,
        org: org,
        body: requestBody,
      );

      expect(response, isNotNull);
      expect(response, equals(expectedResponse));
    });


  }
}